Oore CI
ReferenceAPIOperationsRetention Policy

Update project retention override

Update project retention override

Operation IDupdate_project_retention
PUT
/v1/projects/{project_id}/retention

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/projects/string/retention" \  -H "Content-Type: application/json" \  -d '{}'
{  "effective": {    "artifact_ttl_days": 0,    "cleanup_interval_secs": 0,    "cleanup_target": "artifacts_only",    "dry_run": true,    "enabled": true,    "keep_statuses": [      "string"    ],    "max_age_days": 0,    "max_artifact_size_bytes": 0,    "max_builds_per_project": 0,    "updated_at": 0  },  "has_override": true,  "override_fields": null}